Subject: bug#25031: closed (Re: Hunting #25031: Recovery from sleep/hibernate is broken)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Feb 2020 19:05:02 +0000

Your bug report

#25031: Recovery from sleep/hibernate is broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25031: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25031
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Hunting #25031: Recovery from sleep/hibernate is broken
From: zimoun <[email-masked]>
To: Nikolai Merinov <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 19 Feb 2020 20:04:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

On Wed, 19 Feb 2020 at 19:39, Nikolai Merinov
<[email-masked]> wrote:

> I have no access to the laptop with this issue anymore. My current
> laptop works fine with actual GNU GUIX distribution.
>
> Currently it impossible to extract additional info and bug can be
> closed.

Thank you for your reply.
So  I am closing this bug.
Feel free to reopen the bug if you have access to the laptop again.

All the best,
simon

Subject: Recovery from sleep/hibernate is broken
From: Nikolay Merinov <[email-masked]>
To: [email-masked]
Date: Sat, 26 Nov 2016 04:55:19 +0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I exepience issue similar to discussed in next thread
https://lists.gnu.org/archive/html/bug-guix/2016-07/msg00087.html
My laptop can't wake afterr sleep and hibernate.

I use GuixSD on libreboot x200. Issue was checked with linux-libre kernels 4.1,
4.8, 4.10; with libreboot 2015-01-26, 2015-05-18, 2016-09-07; with and
without "resume=/dev/sda2" option (my swap partition on /dev/sda2).

I can't resume neither from suspend to ram nor from suspend to disk.

I start hibernation with "echo disk > /sys/power/state" command. On next boot image does not restored. I can see that image was saved:

    # swapon /dev/sda2
    swapon: /dev/sda2: software suspend data detected. Rewriting the swap signature.

In boot log I can see next message:

[    0.610581] PM: Checking hibernation image partition /dev/sda2
[    0.610598] PM: Hibernation image not present or could not be loaded.
...
[    1.063943] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.108500]  sda: sda1 sda2 sda3
[    1.109780] sd 0:0:0:0: [sda] Attached SCSI disk

Looks like PM try to find hibernation image before attaching hard
drive.

Full boot log with linux-libre 4.10 and libreboot 2016-09-07 after hibernation attached.

Where can be root of issue? libreboot code, linux-libre code or GuixSD itself? 

Regards,
Nikolay